POST Bulk update position and/or rotation of multiple space objects
POST /spaces/{roomId}/objects/transform: Bulk update position and/or rotation of multiple space objects. Required scopes: space:write
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/spaces/post-spaces-roomId-objects-transform.md for this page in Markdown format
POST
Try it out https://api.rooom.com/spaces/{roomId}/objects/transformScopes
space:writeParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
roomIdrequiredExample: _roomId_ | string | Room identifier. |
Body required
application/json| Name | Type | Description |
|---|---|---|
objectsrequired | array | Objects to update with absolute position and/or rotation |
Responses
200Objects updated
400Bad request
401Missing scope or not the space owner
403Forbidden
404Space not found
422Some object Ids could not be updated
POST /spaces/{roomId}/objects/transform Bulk update position and/or rotation of multiple space objects Required scopes: space:write roomId Room identifier. objects Objects to update with absolute position and/or rotation